Bug 135238 - CAN-2004-0409 XChat buffer overflow in socks5 proxy
Summary: CAN-2004-0409 XChat buffer overflow in socks5 proxy
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: xchat (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Reed
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-11 08:19 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-27 15:14:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:585 normal SHIPPED_LIVE Low: xchat security update 2004-10-27 04:00:00 UTC

Description Mark J. Cox 2004-10-11 08:19:31 UTC
A flaw in the XChat's Socks-5 proxy code could allow arbitrary code
execution.  To exploit this flaw an attacker would need to create a
malicious socks-5 proxy that the victim connects to.

This issue was public on Mon, 5 Apr 2004 but is LOW severity.

This will be RHSA-2004:585 as part of RHEL2.1 Update 6.

Comment 1 Josh Bressers 2004-10-27 15:14:18 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-585.html



Note You need to log in before you can comment on or make changes to this bug.